﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Robinson
{
    public partial class MainForm : Form
    {
        private Castaway castaway;

        public MainForm()
        {
            InitializeComponent();

            castaway = new Castaway();

            castaway.ShipSighted += ShoutAndJump;
            castaway.ShipSighted += SmokeSignal;

            castaway.OnShipSighted(new RobinsonEventArgs(ShipType.ContainerShip));
        }

        private void SmokeSignal(object sender, RobinsonEventArgs e)
        {
            infoLabel.Text += @"
The castaway lights a fire to send smoke signals to the ship.";

            switch (e.ShipType)
            {
                case ShipType.ContainerShip:
                    {
                        infoLabel.Text += @"
The ship stops and sailors come to resque the castaway.";
                        break;
                    }
                case ShipType.PrivateYacht:
                    {
                        infoLabel.Text += @"
The ship ignored the castaway and sailed away.";
                        break;
                    }
                case ShipType.PirateShip:
                    {
                        infoLabel.Text += @"
The ship turned out to be pirates!
The castaway has been captured and sold into slavery.";
                        break;
                    }
            }
        }

        private void ShoutAndJump(object sender, RobinsonEventArgs e)
        {
            infoLabel.Text += @"
The castaway jumps and shouts at the ship.
Nobody on board can hear or see him though...";
        }
    }
}
